commit 552015d2a94ae1ad19339a100f9e8e435a40fa0c
parent 1144e4d6ab2b5c832ac14a2ae8a336cc164ce004
Author: William Casarin <jb55@jb55.com>
Date: Mon, 12 Apr 2021 08:52:25 -0700
bin: fuzz-last-files
open recent files
Diffstat:
2 files changed, 8 insertions(+), 0 deletions(-)
diff --git a/bin/fuzz-last-files b/bin/fuzz-last-files
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -eou pipefail
+
+file=$(ls -1pt | grep -v / | fuzzer)
+
+echo "open $file"
diff --git a/dotfiles/commands b/dotfiles/commands
@@ -12,6 +12,7 @@ em edit mimi echo edit ~/.config/mimi/mime.conf
ecv edit nvim config echo edit ~/.config/nvim/init.vim
ecn edit neomutt config echo edit ~/.config/neomutt/neomuttrc
ecc edit vdirsyncer config echo edit ~/.config/vdirsyncer/config
+lt last files fuzz-last-files
sc show command fuzz-show-script
sh show history fuzz-show-hist
Nc new command echo make-script